[ Maverik Level 3 functions ]

#

mav_deviceNew

## Summary

Register a new input device.

## Syntax

void mav_deviceNew(MAV_devicePollFn dpfn, MAV_deviceCalcFn dcfn, MAV_deviceEventFn defn);

- MAV_devicePollFn dpfn
  Function to poll device to obtain raw device data.

- MAV_deviceCalcFn dcfn
  Function to map device coordinates into world coordinates.

- MAV_deviceEventFn defn
  Function to handle events.

## Description

This function registers a new input device.

Back to the index page.